Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Update from VAX 5.5 to VAX 5.5-2H4

SOLVED
Go to solution
Antonio Gonzalez_4
Regular Advisor

Update from VAX 5.5 to VAX 5.5-2H4

After much effort I got the TK's for:
VMS 5.52H4 RMST TK50 (1993)

When I try to update (MicroVAX 3100-30) i get an couple of errors, one regarding the lack of
"COMMON structured disk".

In fact I don't have a VMS$COMMON directory.

Questions:
1.- Can I update from a "Remastered" kit ?
2.- Can the "COMMON structured disk" issue being solved somehow ??
3.- Will it be different if I get the 5.5-2H4 CD-ROM borrowed from a friend ??

I attach the full error messages.
The system disk was upon a time the boot disk of a LAVC, but now I've a single box.

TIA;
Antonio
18 REPLIES
Veli Körkkö
Trusted Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

[000000]VMS$COMMON.DIR should be primary name for what [SYS0]SYSCOMMON.DIR is alias.
Should you have somehow lost VMS$COMMON.DIR, you can fix it

$ set default sys$sysdevice:[000000]
$ rename [sys0]syscommon.dir - [000000]vms$common.dir
$ set file/enter=[sys0]syscommon.dir -
[000000]vms$common.dir

assuming that you boot from [sys0...]

To do update you would really need VMSU2H4055.% kit rather than the remastered kit. I do have it (at home) but accessing it now is impossible and can have it only after next saturday

_veli
Robert_Boyd
Respected Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Here is a command procedure I wrote many many moons ago and have tweaked over the various versions of VMS.

Robert
Master you were right about 1 thing -- the negotiations were SHORT!
Antonio Gonzalez_4
Regular Advisor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Thanks Veli.

I'll try tomorrow with the Cd-ROM kit. Hopefully I'll manage to upgrade. I the problem persist, I will create the VMS$COMMON stuff as you advice.
I'll tell you my findings.
Thanks
antonio
Allan Bowman
Respected Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

If memory serves me correctly, there was a VMS upgrade that asked if you want to create the COMMON disk structure. I may have seen it when going from 5.3 to 5.5-2H4, but have no way of verifying that.

Is an update your only option, or could you live with a clean install? I would do a clean install from the 5.5-2H4 CD if you can live with needing to re-install applications. Otherwise, the manual VMS$COMMON creation should work.

Allan
Ian Miller.
Honored Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Rob, parhaps you could load your DCL procedure at dcl.openvms.org as it looks useful.
____________________
Purely Personal Opinion
Robert_Boyd
Respected Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Ian,

Thanks for the suggestion -- I posted the FIX_VMS$COMMON_ROOT.COM procedure to dcl.OpenVMS.org -- should show up before too long.

Robert
Master you were right about 1 thing -- the negotiations were SHORT!
Jan van den Ende
Honored Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Antonio,

from your Forum Profile:


I have assigned points to 5 of 49 responses to my questions.


Maybe you can find some time to do some assigning?

http://forums1.itrc.hp.com/service/forums/helptips.do?#33

Mind, I do NOT say you necessarily need to give lots of points. It is fully up to _YOU_ to decide how many. If you consider an answer is not deserving any points, you can also assign 0 ( = zero ) points, and then that answer will no longer be counted as unassigned.
Consider, that every poster took at least the trouble of posting for you!

To easily find your streams with unassigned points, click your own name somewhere.
This will bring up your profile.
Near the bottom of that page, under the caption â My Question(s)â you will find â questions or topics with unassigned points â Clicking that will give all, and only, your questions that still have unassigned postings.

Thanks on behalf of your Forum colleagues.

PS. â nothing personal in this. I try to post it to everyone with this kind of assignment ratio in this forum. If you have received a posting like this before â please do not take offence â none is intended!

Proost.

Have one on me.

jpe
Don't rust yours pelled jacker to fine doll missed aches.
Antonio Gonzalez_4
Regular Advisor

Re: Update from VAX 5.5 to VAX 5.5-2H4

VMS$COMMON problem:
My system disc (root sys0) don't have in the MDF the VMS$COMMON, and the upgrade process complaints about that.
I manage to fix it:

$ set default sys$sysdevice:[000000]
$ rename [sys0]syscommon.dir [000000]vms$common.dir
$ set file/enter=[sys0]syscommon.dir [000000]vms$common.dir

Now the upgrade pass the COMMON disk test.

The next problem:
I have got the:
OpenVMS VAX V5.5-2H4
BIN CD 1/1
Volume Label=VMS2H4055

but, with this CD, you only can:
1.- Fresh Install VMS 5.5-2H4
2.- Update VMS 5.5-2 to H4

Taht's it, there is no way to upgrade 5.5 to 5.5-2H4 directly.

As long as I have VMS 5.5, I'm out of luck.

Has anybody the VMS 5.5 to 5.5-2 upgrade kit available for download ???

Regards
antonio

Reply to jpe: some replys are not problem related and don't deserve points. Sometimes I forgot. Thanks for remember it.
Doug Phillips
Trusted Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Antonio,

If you have a MicroVax 3100-30, why do you need 5.5-2H4? Wasn't this just for new installations on systems newer than the 5.5-2 release? Like the message says in your attachment:

***********************************
The OpenVMS VAX V5.5-2H4 remastered release can be used for
full OpenVMS VAX installations ONLY on the MicroVAX 3100 Model 90,
VAX 4000 Model 100A, VAX 4000 Model 500A, VAX 4000 Model 600A,
and the VAX 4000 Model 700A. To update your current system contact
your Digital representative for the OpenVMS VAX V5.5-2 update
release available through normal Digital distribution channels.
************************************

H4 wasn't an upgrade release; it was for new installation on the above listed hardware.

The 3100-30 needs 5.5-2 doesn't it?
Antonio Gonzalez_4
Regular Advisor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Doug, you are right, I don't "NEED" this version, but the customer "WANTS" to have all the systems at the same level, and Y2K patch is somehow related with 5.5-2 & 5.5-2H4.

Don't argue too much with the customer on this.

If I manage to migrate, I'll do it.

BTW 5.5 version should be stable enough after 10 years, I think ... :-)

Antonio
Allan Bowman
Respected Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

It makes perfect sense to me for all systems to be at the same OS level - especially when trying to support multiple sites with various systems. For sites that don't need anything in V6.x, they should be at V5.5-2H4. The H4 modifier was added to support new hardware - there is nothing wrong with using it on older hardware. Until recently, I was managing a site that included a couple of microVax 3600's running 5.5-2H4...

Allan
Ian Miller.
Honored Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

I think you need the VMSU2H4055.% that Veli mentioned so you may have to wait for him.
____________________
Purely Personal Opinion
Antonio Gonzalez_4
Regular Advisor

Re: Update from VAX 5.5 to VAX 5.5-2H4

It's true; onli Veil seems to have the key for this ...
I'm in RWAST right now.

antonio
Ian Miller.
Honored Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

RWveli I think you mean :-)
____________________
Purely Personal Opinion
Veli Körkkö
Trusted Contributor

Re: Update from VAX 5.5 to VAX 5.5-2H4

If you are at VMS V5.5, it may very well be that you must first upgrade to VMS V5.5-2 using VMSU2055.% kit and next then upgrade to VMS V5.5-2H4 using next upgrade kit.

_veli
Antonio Gonzalez_4
Regular Advisor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Veil, That is the case:
I need first update to 5.5-2 and then to 5.5-2H4.

My problem is that I don't have the 5.5-2 update kit, I have only the update to 5.5-2H4.

Do you have such kit ??
Could you sent it to me somehow ??

I guess you are my last resort
Antonio
Martin Vorlaender
Honored Contributor
Solution

Re: Update from VAX 5.5 to VAX 5.5-2H4

Antonio,

I have a CD with the VMSU2055.% files. Email me at mv [at] pdv-systeme.de and we'll work out a way to get you a copy.

cu,
Martin
Antonio Gonzalez_4
Regular Advisor

Re: Update from VAX 5.5 to VAX 5.5-2H4

Solutions:
- From 5.5 you must go first to 5.5-2 and then to 5.5-H4

- To do the upgrades, you need the VMSU*** kits (update)

- the VMS$COMMON problem was fixed using the Veli Korkko advice (thanks!!)

- A good guy let me ftp the needed update kit and I'm all set now.